<div class="row has-newsletter-social">
  <div class="col-lg-12">
    <hr class="mt0" />
  </div>
  
  <div class="col-lg-4 has-newsletter">
    <h4>{{ settings.newsletter_title }}</h4>
    {% if settings.newsletter_code == blank %}
    <form>
      <div class="input-group">
        <input type="text" class="form-control" placeholder="Email address" />
        <span class="input-group-btn">
          <button class="btn btn-info" type="submit">Subscribe</button>
        </span>
      </div>
    </form>
    {% else %}
      {{ settings.newsletter_code }}
    {% endif %}
  </div>
  
  <div class="col-lg-6 col-lg-offset-2 has-social">
    <h4>{{ settings.social_title }}</h4>
    {% assign social_props = 'fb,tw,li,hz,ig,pn,gp' | split: ',' %}
	{% assign social_fa_suffixes = 'facebook,twitter,linkedin,houzz,instagram,pinterest,google-plus' | split: ',' %}
    <ul id="footer-social">
    {% for social_prop in social_props %}
      {% capture url_key %}social_url_{{ social_prop }}{% endcapture %}
      <li class="social-{{ social_prop }}">
        <a href="{{ settings[url_key] }}"><i class="fa fa-{{ social_fa_suffixes[forloop.index0] }}"></i></a>
      </li>
    {% endfor %}
    </ul>
  </div>
</div>

<div class="row has-footer-menus pt20">
  {% for i in (1..4) %}
  <div class="col-lg-3">
    {% capture menu_title_key %}footer_menu_{{ i }}_title{% endcapture %}
    {% capture menu_slug_key %}footer_menu_{{ i }}_menu{% endcapture %}
    <h4>{{ settings[menu_title_key] }}</h4>
    {% if i == 4 %}
      {% capture menu_content_key %}footer_menu_{{ i }}_content{% endcapture %}
      {{ settings[menu_content_key] }}
    {% else %}
      {% include 'basic-nav', menu_links: linklists[settings[menu_slug_key]].links, menu_class: 'footer-nav' %}
    {% endif %}
  </div>
  {% endfor %}
</div>



<div class="row has-copyright-ccstrip pt20 pb50">
  <div class="col-lg-6 col-lg-push-6 has-copyright text-right">
    {% capture current_year %}{{ 'now' | date: "%Y" }}{% endcapture %}
    {{ settings.copyright_text | replace: '[YEAR]', current_year }}
  </div>
  <div class="col-lg-6 col-lg-pull-6 has-ccstrip">
    {% if settings.cc_strip != blank %}
    <img src="{{ settings.cc_strip | img_url: 'master' }}" />
    {% endif %}
  </div>
</div>